Loading...
Searching...
No Matches
lxc_snapshot Struct Reference

An LXC container snapshot. More...

`#include <lxccontainer.h>`

## Data Fields

char * | name
char * | comment_pathname
char * | timestamp
char * | lxcpath
void(* | free )(struct lxc_snapshot *s)
| De-allocate the snapshot.

## Detailed Description

An LXC container snapshot.

## Field Documentation

## comment_pathname

char* lxc_snapshot::comment_pathname

Full path to snapshots comment file (may be `NULL`)

## free

void(* lxc_snapshot::free) (struct lxc_snapshot *s)

De-allocate the snapshot.

Parameters

  s | snapshot.

## lxcpath

char* lxc_snapshot::lxcpath

Full path to LXCPATH for snapshot

## name

char* lxc_snapshot::name

Name of snapshot

## timestamp

char* lxc_snapshot::timestamp

Time snapshot was created

The documentation for this struct was generated from the following file:

- lxccontainer.h